Subject: Re: [PATCH 1/2] skge: default WOL should be magic only

From: Jeff Garzik <[email-masked]>
Date: Tue, 08 May 2007 01:06:34 -0400

Stephen Hemminger wrote:
> By default, the skge driver now enables wake on magic and wake on PHY.
> This is a bad default (bug), wake on PHY means machine will never shutdown 
> if connected to a switch.
> 
> Signed-off-by: Stephen Hemminger <[email-masked]>a
> 
> ---
>  drivers/net/skge.c |    2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> --- sky2-2.6.21.orig/drivers/net/skge.c	2007-05-07 10:01:47.000000000 -0700
> +++ sky2-2.6.21/drivers/net/skge.c	2007-05-07 10:03:29.000000000 -0700
> @@ -3591,7 +3591,7 @@ static struct net_device *skge_devinit(s
>  	skge->duplex = -1;
>  	skge->speed = -1;
>  	skge->advertising = skge_supported_modes(hw);
> -	skge->wol = pci_wake_enabled(hw->pdev) ? wol_supported(hw) : 0;
> +	skge->wol = pci_wake_enabled(hw->pdev) ? WAKE_MAGIC : 0;

NAK.  You still need to check for buggy chips (as in patch #2)

If [email-masked] applied this, they need to fix it as you will for 
upstream...

	Jeff